## :dart: 特色

 :green_circle: 提供简单、易用的web管理后台

 :purple_circle: 支持所有 WireGuard 客户端接入

 :yellow_circle: 无需系统安装 WireGuard 组件

 :orange_circle: 单文件、无额外库依赖

 :red_circle: 自动申请免费SSL证书





- ### 服务端安装

选择对应的服务端，如x86环境请下载LTWG-linux-amd64

添加可执行权限：

```bash
chmod +x ./LTWG-linux-amd64
```

前台运行：

```bash
./LTWG-linux-amd64
```

后台运行：

```bash
nohup ./LTWG-linux-amd64 >/dev/null 2>&1 &
```

容器中运行：下载docker-compose.yml文件然后执行

```bash
docker compose up -d
```

访问 http://ip:52016 登录管理后台，默认密码LTWG

> :biohazard: ***如果服务器使用的是各种云服务，记得在云服务管理后台上开放所需的udp端口52017、tcp端口52016***



- ### 服务端配置


首次运行LTWG会在软件目录生成conf/config.json配置文件，配置说明如下：

```json
{
 "version": "1",              // 当前版本
 "host": "7.7.7.7",           // web管理后台ip或域名
 "port": 52016,               // web管理后台端口
 "auto_ssl": false,           // web管理后台是否启用自动获取Let's Encrypt签发证书，若启用请将端口改为443
 "password": "LTWG",       // web管理后台登录认证密码
 "lang": "en",                // web管理后台多语言支持，中文请将en改为cn
 "ui_traffic_stats": true,    // web管理后台是否开启流量图特效
 "ui_chart_type": 2,          // web管理后台流量特效图类型
 "log_level": "error",        // 服务端日志记录等级
 "wg_private_key": "YBw5KAo1vM2mz35GLhZB01ZNYWJYWdGZNQT1MebuCHk=",  // 服务端 WireGuard 私钥
 "wg_device": "eth0",                   // 服务端 WireGuard 出入流量网卡名称
 "wg_port": 52017,                      // 服务端 WireGuard UDP端口
 "wg_mtu": 1280,                        // 服务端 WireGuard MTU值
 "wg_persistent_keepalive": 25,         // 客户端存活包发送间隔时间
 "wg_address": "198.18.0.1/16",         // 服务端ip和网段范围
 "wg_dns": "1.1.1.1",                   // 客户端dns配置
 "wg_allowed_ips": "0.0.0.0/0, ::/0"    // 客户端流量要转发到服务端的ip地址范围
}
```
